de.katho.kBorrow.interfaces

## Interface KDataModel

All Known Implementing Classes:
  KArticleModel, KLenderModel, KLendingModel, KUserModel

    public interface KDataModel

Dieses Interface definiert die Eigenschaften eines KDataModel.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.ArrayList<?>` `getData()` Gibt die kompletten Daten als ArrayList zurück.
`java.lang.Object` `getElement(int id)` Gibt Daten-Objekt mit der angefragten ID zurück.
`void` `register(KGuiModel pModel)` Ein KGuiModel registriert sich so am KDataModel und wird nun benachrichtigt, wenn die Datenstruktur sich ändert.
`void` `updateModel()` Holt Daten aus der Datenbank und benachrichtigt alle registrierten KGuiModel.

### Method Detail

#### register

    void register(KGuiModel pModel)

Ein KGuiModel registriert sich so am KDataModel und wird nun benachrichtigt, wenn die Datenstruktur sich ändert.

Parameters:
  `pModel` - KGuiModel, das sich am KDataModel registriert.

#### updateModel

    void updateModel()

Holt Daten aus der Datenbank und benachrichtigt alle registrierten KGuiModel.

#### getData

    java.util.ArrayList<?> getData()

Gibt die kompletten Daten als ArrayList zurück.

Returns:
  Die kompletten Daten als ArrayList.

#### getElement

    java.lang.Object getElement(int id)

Gibt Daten-Objekt mit der angefragten ID zurück.

Parameters:
  `id` - ID des angefragten Elements.
Returns:
  Das angefragte Element.